package org.springblade.customer.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.customer.dto.FctCsRecordsDTO;
import org.springblade.customer.entity.FctCsRecords;
import org.springblade.customer.mapper.FctCsRecordsMapper;
import org.springblade.customer.service.IFctCsRecordsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 客服投诉记录表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-08-19
 */
@Service
@DS("oracle143")
public class FctCsRecordsServiceImpl extends ServiceImpl<FctCsRecordsMapper, FctCsRecords> implements IFctCsRecordsService {

	@Autowired
	private FctCsRecordsMapper fctCsRecordsMapper;

	@Override
	public boolean insertBatch(List<FctCsRecordsDTO> excelList) {
		return fctCsRecordsMapper.insertBatch(excelList);
	}

	@Override
	public void setThedayByAcceptTime() {
		fctCsRecordsMapper.setThedayByAcceptTime();
	}

	@Override
	public void setSpcode() {
		fctCsRecordsMapper.setSpcode();
	}

	@Override
	public void setServiceType31() {
		fctCsRecordsMapper.setServiceType31();
	}

	@Override
	public void setServiceType32() {
		fctCsRecordsMapper.setServiceType32();
	}

	@Override
	public void setSpidByThisMonth(String sTime, String eTime) {
		fctCsRecordsMapper.setSpidByThisMonth(sTime,eTime);
	}

	@Override
	public void setOtherSpidByThisMonth(String sTime, String eTime) {
		fctCsRecordsMapper.setOtherSpidByThisMonth(sTime,eTime);
	}

	@Override
	public void setShortName(String sTime, String eTime) {
		fctCsRecordsMapper.setShortName(sTime,eTime);
	}

	@Override
	public void setShopName(String sTime, String eTime) {
		fctCsRecordsMapper.setShopName(sTime,eTime);
	}

	@Override
	public boolean removeThisMonthData(String month) {
		return fctCsRecordsMapper.removeThisMonthData(month);
	}

	@Override
	public void callData(String sTime) {
		fctCsRecordsMapper.callData(sTime);
	}
}
